
Foreman - Bug #3731

foreman API is missing role parameter when editing user

11/22/2013 01:53 PM - jan kaufman

Status: Resolved   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To be able to set/change user's role via API, there needs to be a parameter added for this.

Right now there's possibility to do that, but only via webgui.

History

#1 - 11/22/2013 01:59 PM - Dominic Cleal

- Category set to API

#2 - 11/22/2013 02:38 PM - jan kaufman

i just want to mention that this occurs probably on all user operations (including views).

#3 - 01/29/2018 06:39 PM - Tomáš Strachota

- Status changed from New to Resolved

This has been resolved in one of the previous versions of the foreman and is fixed in 1.16. Roles can be assigned to users via both api and hammer.

I'm closing the issue.
